import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //查询资料字段列表
    inquirebaseprofilefieldlist(data) {
        return request({
            url: '/base/profile/field/list',
            method: 'get',
            params: data
        })
    },
    //获取资料字段详细信息
    obtainbaseprofilefield(data) {
        return request({
            url: `/base/profile/field/` + data,
            method: 'get',
        })
    },

    //新增资料模板
    appbaseprofiletp(data) {
        return request({
            url: '/base/profile/tp',
            method: 'post',
            data
        })
    },
    //获取所有使用商品ID
    inquirebaseprofilefieldgoods_list(data) {
        return request({
            url: '/base/profile/tp/goods_list',
            method: 'get',
            params: data
        })
    },
    //修改资料模板
    editbaseprofile(data) {
        return request({
            url: '/base/profile/tp/edit',
            method: 'post',
            data
        })
    },
    //查询资料模板列表
    inquirebaseprofiletplist(data) {
        return request({
            url: '/base/profile/tp/list',
            method: 'get',
            params: data
        })
    },
    //获取资料模板详细信息
    obtainbaseprofiletp(data) {
        return request({
            url: `/base/profile/tp/` + data,
            method: 'get',
        })
    },
}